docs
UAEN
API Reference

Get Execution Status

Get the status and results of a workflow execution. Returns execution status and step data keyed by unique_name. Users can poll this endpoint until status is COMPLETED or FAILED.

GET/api/v1/workflows/executions/{execution_id}

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Path Parameters

execution_idintegerpathrequired
Execution ID

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
Get Execution Status
import requests

url = "https://www.datalab.to/api/v1/workflows/executions/{execution_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
200Success
{
  "execution_id": 123,
  "workflow_id": 456,
  "status": "COMPLETED",
  "created": "2025-10-22T10:00:00",
  "updated": "2025-10-22T10:05:00",
  "steps": {
    "parse": {
      "status": "COMPLETED",
      "output_url": "https://presigned-url"
    }
  }
}